apt 3.2.0 commandline package manager

Public Member Functions | List of all members
pkgSimulate::Policy Class Reference
Inheritance diagram for pkgSimulate::Policy:

## Public Member Functions
VerIterator | GetCandidateVer (PkgIterator const &Pkg) override
| Policy (pkgDepCache *Cache)
Public Member Functions inherited from pkgDepCache::Policy
virtual bool | IsImportantDep (DepIterator const &Dep) const
virtual signed short | GetPriority (PkgIterator const &Pkg)
virtual signed short | GetPriority (VerIterator const &Ver, bool ConsiderFiles=true)
virtual signed short | GetPriority (PkgFileIterator const &File)

## Member Function Documentation

## ◆ GetCandidateVer()

VerIterator GetCandidateVer | ( | PkgIterator const & | Pkg | ) |
| inline override virtual

Reimplemented from pkgDepCache::Policy.

The documentation for this class was generated from the following file:

- apt-pkg/algorithms.h